import { coalescingManager } from '../../core/utils';
export function staticCoalesce(work, durationSelector, scope, abC) {
    if (scope === void 0) { scope = {}; }
    if (abC === void 0) { abC = new AbortController(); }
    var sub;
    if (!coalescingManager.isCoalescing(scope)) {
        coalescingManager.add(scope);
        sub = durationSelector.subscribe(function () {
            tryExecuteWork();
        });
        var abortHandler_1 = function () {
            sub.unsubscribe();
            abC.signal.removeEventListener('abort', abortHandler_1, false);
        };
        abC.signal.addEventListener('abort', abortHandler_1, false);
    }
    return abC;
    // =====
    function tryExecuteWork() {
        coalescingManager.remove(scope);
        if (!coalescingManager.isCoalescing(scope)) {
            return work();
        }
    }
}
//# sourceMappingURL=static-coalesce.js.map