import { from } from 'rxjs';
import { staticCoalesce } from './static-coalesce';
import { staticSchedule } from './static-schedule';
import { getUnpatchedResolvedPromise } from '../../core/utils';
export function coalesceAndSchedule(work, priority, scope, abC) {
    if (scope === void 0) { scope = {}; }
    if (abC === void 0) { abC = new AbortController(); }
    var durationSelector = from(getUnpatchedResolvedPromise());
    var scheduledWork = function () { return staticSchedule(work, priority, abC); };
    var coalesceAbC = staticCoalesce(scheduledWork, durationSelector, scope, abC);
    var abortHandler = function () {
        coalesceAbC.abort();
        abC.signal.removeEventListener('abort', abortHandler, false);
    };
    abC.signal.addEventListener('abort', abortHandler, false);
    return abC;
}
//# sourceMappingURL=static-schedule-and-coalesced.js.map